org.apache.fop.accessibility

## Class Accessibility

- java.lang.Object
- - org.apache.fop.accessibility.Accessibility

-     public final class Accessibility
      extends java.lang.Object

  Helper class for FOP's accessibility features.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCESSIBILITY` Constant string for the rendering options key to enable accessibility features.
    `static java.lang.String` | `ROLE_ARTIFACT` The value to be set on the 'role' property for the element and its descendants to be considered as artifacts.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCESSIBILITY

          public static final java.lang.String ACCESSIBILITY

      Constant string for the rendering options key to enable accessibility features.
      See Also:
        Constant Field Values

    - #### ROLE_ARTIFACT

          public static final java.lang.String ROLE_ARTIFACT

      The value to be set on the 'role' property for the element and its descendants to be considered as artifacts.
      See Also:
        Constant Field Values

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.